Eclipse PDE Release 3.7

## org.eclipse.pde.launching
Class OSGiLaunchConfigurationInitializer

    java.lang.Object
      org.eclipse.pde.launching.OSGiLaunchConfigurationInitializer

Direct Known Subclasses:
  OSGiLaunchConfigurationInitializer

    public class OSGiLaunchConfigurationInitializer

extends Object

Initializes launch configuration attributes for newly-created OSGi Framework launch configurations

Clients may instantiate or subclass this class

This class originally existed in 3.3 as `org.eclipse.pde.ui.launcher.OSGiLaunchConfigurationInitializer`.

Since:
  3.6

Field Summary
`protected static String` `DEFAULT`

Constructor Summary
`OSGiLaunchConfigurationInitializer()`

Method Summary
`protected String` `getAutoStart(String bundleID)` Returns whether the bundle should be started automatically
`protected String` `getStartLevel(String bundleID)` Returns the bundle's start level
`void` `initialize(ILaunchConfigurationWorkingCopy configuration)` Initializes some attributes on a newly-created launch configuration
`protected void` `initializeBundleState(ILaunchConfigurationWorkingCopy configuration)` Initializes the checked/unchecked state of bundles
`protected void` `initializeFrameworkDefaults(ILaunchConfigurationWorkingCopy configuration)` Initializes the start level and auto-start attributes
`protected void` `initializeSourcePathProvider(ILaunchConfigurationWorkingCopy configuration)` Sets the source provider ID

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    protected static final String DEFAULT

See Also:
  Constant Field Values

Constructor Detail

### OSGiLaunchConfigurationInitializer

    public OSGiLaunchConfigurationInitializer()

Method Detail

### initialize

    public void initialize(ILaunchConfigurationWorkingCopy configuration)

  Initializes some attributes on a newly-created launch configuration

  Parameters:
    `configuration` - the launch configuration

### initializeSourcePathProvider

    protected void initializeSourcePathProvider(ILaunchConfigurationWorkingCopy configuration)

  Sets the source provider ID

  Parameters:
    `configuration` - the launch configuration

### initializeFrameworkDefaults

    protected void initializeFrameworkDefaults(ILaunchConfigurationWorkingCopy configuration)

  Initializes the start level and auto-start attributes

  Parameters:
    `configuration` - the launch configuration

### initializeBundleState

    protected void initializeBundleState(ILaunchConfigurationWorkingCopy configuration)

  Initializes the checked/unchecked state of bundles

  Parameters:
    `configuration` - the launch configuration

### getStartLevel

    protected String getStartLevel(String bundleID)

  Returns the bundle's start level

  Parameters:
    `bundleID` - the bundle ID
  Returns:
    the start level for the given bundle or the string `default`

### getAutoStart

    protected String getAutoStart(String bundleID)

  Returns whether the bundle should be started automatically

  Parameters:
    `bundleID` - the bundle ID
  Returns:
    `true`, `false`, or `default`

Eclipse PDE Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) 2000, 2011 IBM Corporation and others. All rights reserved.